Threat Encyclopedia

Delta.IA.CNCSoft.ScreenEditor.CVE-2022-1405.Buffer.Overflow

description-logoDescription

This indicates an attack attempt to exploit a Buffer Overflow Vulnerability in Delta Industrial Automation CNCSoft ScreenEditor.
The vulnerability is due to lack of proper validation of the length of user-supplied data prior to copying to a fixed-length stack buffer. A remote attacker can exploit this vulnerability by enticing a target user into opening a crafted DPB file. Successful exploitation could result in execution of arbitrary code under the security context of the current process.

affected-products-logoAffected Products

Delta Industrial Automation CNCSoft ScreenEditor 1.01.31 and prior

Impact logoImpact

System Compromise: Remote attackers can gain control of vulnerable systems.

recomended-action-logoRecommended Actions

Apply the most recent upgrade or patch from the vendor.
https://www.cisa.gov/uscert/ics/advisories/icsa-22-132-01

CVE References

CVE-2022-1405

Other References

ICSA-22-132-01

Telemetry logoTelemetry